/* Copyright (C) Edward M. Kagan - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Edward M. Kagan <atman@idp-crew.com>, 2015
 */
package org.idp.laf;

import java.util.ArrayList;
import static org.idp.laf.Kernel.color_scheme_loaded;

/**
 * @author Edward M. Kagan <atman@idp-crew.com>
 * @author Helen A. Kukhar <carpenter@idp-crew.com>
 */
public class Defaults {

    public static Color[] preload_defaults() {
        ArrayList<Color> color_map = new ArrayList<Color>();
        color_map.add(new Color("Button.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Button.darkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Button.disabledText", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("Button.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Button.highlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Button.light", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Button.select", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Button.shadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("CheckBox.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("CheckBox.disabledText", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("CheckBox.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.acceleratorForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.acceleratorSelectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("ColorChooser.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ColorChooser.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ColorChooser.swatchesDefaultRecentColor", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ComboBox.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.buttonBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.buttonDarkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.buttonHighlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.buttonShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.disabledBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ComboBox.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ComboBox.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ComboBox.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ComboBox.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Desktop.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("EditorPane.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("EditorPane.caretForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("EditorPane.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("EditorPane.inactiveForeground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("EditorPane.selectionBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("EditorPane.selectionForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("FormattedTextField.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("FormattedTextField.caretForeground", Color.ColorClass.SF, 240, 240, 240, 255, "..."));
        color_map.add(new Color("FormattedTextField.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("FormattedTextField.inactiveBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("FormattedTextField.inactiveForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("FormattedTextField.selectionBackground", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("FormattedTextField.selectionForeground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("InternalFrame.activeTitleBackground", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("InternalFrame.activeTitleForeground", Color.ColorClass.SF, 0, 255, 0, 255, "..."));
        color_map.add(new Color("InternalFrame.borderColor", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("InternalFrame.borderDarkShadow", Color.ColorClass.SF, 102, 102, 102, 255, "..."));
        color_map.add(new Color("InternalFrame.borderHighlight", Color.ColorClass.SF, 255, 255, 255, 255, "..."));
        color_map.add(new Color("InternalFrame.borderLight", Color.ColorClass.SF, 255, 255, 255, 255, "..."));
        color_map.add(new Color("InternalFrame.borderShadow", Color.ColorClass.SF, 153, 153, 153, 255, "..."));
        color_map.add(new Color("InternalFrame.inactiveTitleBackground", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("InternalFrame.inactiveTitleForeground", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("Label.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("Label.disabledForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Label.disabledShadow", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Label.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("List.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("List.dropLineColor", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("List.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("List.selectionBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("List.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Menu.acceleratorForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Menu.acceleratorSelectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Menu.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Menu.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("Menu.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Menu.selectionBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Menu.selectionForeground", Color.ColorClass.SF, 192, 192, 192, 255, "..."));
        color_map.add(new Color("MenuBar.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuBar.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("MenuBar.highlight", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuBar.shadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuItem.acceleratorForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("MenuItem.acceleratorSelectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("MenuItem.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuItem.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("MenuItem.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("MenuItem.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("MenuItem.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("OptionPane.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("OptionPane.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("OptionPane.messageForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Panel.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Panel.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("PasswordField.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PasswordField.caretForeground", Color.ColorClass.SF, 240, 240, 240, 255, "..."));
        color_map.add(new Color("PasswordField.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("PasswordField.inactiveBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PasswordField.inactiveForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("PasswordField.selectionBackground", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("PasswordField.selectionForeground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("PopupMenu.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PopupMenu.foreground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ProgressBar.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("ProgressBar.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ProgressBar.selectionBackground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("ProgressBar.selectionForeground", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("RadioButton.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButton.darkShadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButton.disabledText", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("RadioButton.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("RadioButton.highlight", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButton.light", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButton.select", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("RadioButton.shadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.acceleratorForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.acceleratorSelectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("ScrollBar.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ScrollBar.foreground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ScrollBar.thumb", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ScrollBar.thumbDarkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ScrollBar.thumbHighlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ScrollBar.thumbShadow", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ScrollBar.track", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ScrollBar.trackHighlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ScrollPane.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ScrollPane.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Separator.foreground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Separator.highlight", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Separator.shadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Slider.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Slider.focus", Color.ColorClass.SF, 64, 64, 64, 0, "..."));
        color_map.add(new Color("Slider.foreground", Color.ColorClass.SF, 80, 80, 80, 255, "..."));
        color_map.add(new Color("Slider.highlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Slider.shadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Slider.tickColor", Color.ColorClass.AT, 0, 255, 0, 255, "..."));
        color_map.add(new Color("Spinner.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Spinner.foreground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("SplitPane.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("SplitPane.darkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("SplitPane.highlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("SplitPane.shadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("SplitPaneDivider.draggingColor", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TabbedPane.darkShadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.focus", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TabbedPane.highlight", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.light", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.shadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Table.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("Table.dropLineColor", Color.ColorClass.SF, 153, 153, 204, 255, "..."));
        color_map.add(new Color("Table.dropLineShortColor", Color.ColorClass.SF, 102, 102, 153, 255, "..."));
        color_map.add(new Color("Table.focusCellBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Table.focusCellForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Table.gridColor", Color.ColorClass.SF, 80, 80, 80, 255, "..."));
        color_map.add(new Color("Table.selectionBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Table.selectionForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Table.sortIconColor", Color.ColorClass.SF, 153, 153, 153, 255, "..."));
        color_map.add(new Color("TableHeader.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TableHeader.focusCellBackground", Color.ColorClass.SF, 128, 128, 128, 255, "..."));
        color_map.add(new Color("TableHeader.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TextArea.background", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("TextArea.caretForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TextArea.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TextArea.inactiveForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("TextArea.selectionBackground", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("TextArea.selectionForeground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TextField.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TextField.caretForeground", Color.ColorClass.SF, 240, 240, 240, 255, "..."));
        color_map.add(new Color("TextField.darkShadow", Color.ColorClass.SF, 102, 102, 102, 255, "..."));
        color_map.add(new Color("TextField.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TextField.highlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TextField.inactiveBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TextField.inactiveForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("TextField.light", Color.ColorClass.SF, 255, 255, 255, 255, "..."));
        color_map.add(new Color("TextField.selectionBackground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("TextField.selectionForeground", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("TextField.shadow", Color.ColorClass.SF, 153, 153, 153, 255, "..."));
        color_map.add(new Color("TextPane.background", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("TextPane.caretForeground", Color.ColorClass.SF, 255, 0, 0, 255, "..."));
        color_map.add(new Color("TextPane.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("TextPane.inactiveForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("TextPane.selectionBackground", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("TextPane.selectionForeground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TitledBorder.titleColor", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ToggleButton.background", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToggleButton.darkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToggleButton.disabledText", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ToggleButton.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ToggleButton.highlight", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToggleButton.light", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToggleButton.shadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToolBar.background", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolBar.darkShadow", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToolBar.dockingBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolBar.dockingForeground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToolBar.floatingBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolBar.floatingForeground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("ToolBar.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ToolBar.highlight", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolBar.light", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolBar.shadow", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ToolTip.background", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ToolTip.foreground", Color.ColorClass.SF, 8, 8, 8, 255, "..."));
        color_map.add(new Color("Tree.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("Tree.dropLineColor", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("Tree.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Tree.hash", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("Tree.line", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Tree.selectionBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("Tree.selectionBorderColor", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("Tree.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("Tree.textBackground", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("Tree.textForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Viewport.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("Viewport.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        
        
        color_map.add(new Color("activeCaption", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("activeCaptionBorder", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("activeCaptionText", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("control", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("controlDkShadow", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("controlHighlight", Color.ColorClass.SF, 48, 48, 48, 0, "..."));
        color_map.add(new Color("controlLtHighlight", Color.ColorClass.SF, 48, 48, 48, 0, "..."));
        color_map.add(new Color("controlShadow", Color.ColorClass.SF, 24, 24, 24, 255, "..."));
        color_map.add(new Color("controlText", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("desktop", Color.ColorClass.SF, 153, 153, 204, 255, "..."));
        color_map.add(new Color("inactiveCaption", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("inactiveCaptionBorder", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("inactiveCaptionText", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("info", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("infoText", Color.ColorClass.SF, 255, 0, 0, 255, "..."));
        color_map.add(new Color("menu", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("menuText", Color.ColorClass.SF, 0, 255, 0, 255, "..."));
        color_map.add(new Color("scrollbar", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("textHighlight", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("textHighlightText", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("textInactiveText", Color.ColorClass.AT, 128, 128, 128, 255, "..."));
        color_map.add(new Color("textText", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("window", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("windowBorder", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("windowText", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("PropSheet.setBackground", Color.ColorClass.AT, 80, 80, 80, 255, "..."));
        color_map.add(new Color("PropSheet.selectedSetBackground", Color.ColorClass.AT, 96, 96, 96, 255, "..."));
        color_map.add(new Color("PropSheet.setForeground", Color.ColorClass.AT, 208, 208, 208, 255, "..."));
        color_map.add(new Color("PropSheet.selectedSetForeground", Color.ColorClass.AT, 176, 176, 176, 255, "..."));
        color_map.add(new Color("PropSheet.disabledForeground", Color.ColorClass.AT, 96, 96, 96, 255, "..."));
        color_map.add(new Color("PropSheet.selectionBackground", Color.ColorClass.AT, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PropSheet.selectionForeground", Color.ColorClass.AT, 208, 208, 208, 255, "..."));
        color_map.add(new Color("CheckBoxMenuItem.disabledBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("EditorPane.inactiveBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Focus.color", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("InternalFrame.background", Color.ColorClass.SF, 49, 37, 177, 255, "..."));
        color_map.add(new Color("InternalFrame.optionDialogBackground", Color.ColorClass.SF, 206, 228, 135, 255, "..."));
        color_map.add(new Color("InternalFrame.paletteBackground", Color.ColorClass.SF, 30, 185, 18, 255, "..."));
        color_map.add(new Color("Menu.disabledBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuBar.disabledBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("MenuBar.disabledForeground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("MenuBar.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("MenuBar.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("MenuItem.disabledBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PopupMenu.selectionBackground", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("PopupMenu.selectionForeground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("RadioButtonMenuItem.disabledBackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TextArea.inactiveBackground", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("TextComponent.selectionBackgroundInactive", Color.ColorClass.SF, 97, 215, 123, 255, "..."));
        color_map.add(new Color("TextPane.inactiveBackground", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("nb_workplace_fill", Color.ColorClass.SF, 50, 221, 208, 255, "..."));
        color_map.add(new Color("Nb.Desktop.background", Color.ColorClass.SF, 125, 90, 158, 255, "..."));
        color_map.add(new Color("nb.output.selectionBackground", Color.ColorClass.SF, 188, 54, 68, 255, "..."));
        color_map.add(new Color("nb.hyperlink.foreground", Color.ColorClass.SF, 220, 244, 200, 255, "..."));
        color_map.add(new Color("nb.output.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("nb.output.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("Tree.altbackground", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("PropSheet.customButtonForeground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("netbeans.ps.buttonColor", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("netbeans.ps.background", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("nb.errorForeground", Color.ColorClass.SF, 210, 245, 244, 255, "..."));
        color_map.add(new Color("nb.warningForeground", Color.ColorClass.SF, 36, 223, 138, 255, "..."));
        color_map.add(new Color("TabRenderer.selectedActivatedBackground", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("TabRenderer.selectedActivatedForeground", Color.ColorClass.SF, 160, 160, 160, 255, "..."));
        color_map.add(new Color("TabRenderer.selectedForeground", Color.ColorClass.SF, 224, 224, 224, 255, "..."));
        color_map.add(new Color("TabRenderer.selectedBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Button.focus", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("CheckBox.focus", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Checkbox.select", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("DesktopIcon.background", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("DesktopIcon.foreground", Color.ColorClass.SF, 255, 0, 0, 255, "..."));
        color_map.add(new Color("OptionPane.errorDialog.border.background", Color.ColorClass.SF, 153, 51, 51, 255, "..."));
        color_map.add(new Color("OptionPane.errorDialog.titlePane.background", Color.ColorClass.SF, 255, 153, 153, 255, "..."));
        color_map.add(new Color("OptionPane.errorDialog.titlePane.foreground", Color.ColorClass.SF, 51, 0, 0, 255, "..."));
        color_map.add(new Color("OptionPane.errorDialog.titlePane.shadow", Color.ColorClass.SF, 204, 102, 102, 255, "..."));
        color_map.add(new Color("OptionPane.questionDialog.border.background", Color.ColorClass.SF, 51, 102, 51, 255, "..."));
        color_map.add(new Color("OptionPane.questionDialog.titlePane.background", Color.ColorClass.SF, 153, 204, 153, 255, "..."));
        color_map.add(new Color("OptionPane.questionDialog.titlePane.foreground", Color.ColorClass.SF, 0, 51, 0, 255, "..."));
        color_map.add(new Color("OptionPane.questionDialog.titlePane.shadow", Color.ColorClass.SF, 102, 153, 102, 255, "..."));
        color_map.add(new Color("OptionPane.warningDialog.border.background", Color.ColorClass.SF, 153, 102, 51, 255, "..."));
        color_map.add(new Color("OptionPane.warningDialog.titlePane.background", Color.ColorClass.SF, 255, 204, 153, 255, "..."));
        color_map.add(new Color("OptionPane.warningDialog.titlePane.foreground", Color.ColorClass.SF, 102, 51, 0, 255, "..."));
        color_map.add(new Color("OptionPane.warningDialog.titlePane.shadow", Color.ColorClass.SF, 204, 153, 102, 255, "..."));
        color_map.add(new Color("RadioButton.focus", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("ScrollBar.darkShadow", Color.ColorClass.SF, 16, 16, 16, 255, "..."));
        color_map.add(new Color("ScrollBar.highlight", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("ScrollBar.shadow", Color.ColorClass.SF, 48, 48, 48, 255, "..."));
        color_map.add(new Color("Separator.background", Color.ColorClass.SF, 80, 80, 80, 255, "..."));
        color_map.add(new Color("SplitPane.dividerFocusColor", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("TabbedPane.selected", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("TabbedPane.selectHighlight", Color.ColorClass.SF, 48, 48, 48, 192, "..."));
        color_map.add(new Color("TabbedPane.tabAreaBackground", Color.ColorClass.SF, 32, 32, 32, 255, "..."));
        color_map.add(new Color("Table.foreground", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("ToggleButton.focus", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ToggleButton.select", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("ToolTip.backgroundInactive", Color.ColorClass.SF, 204, 204, 204, 255, "..."));
        color_map.add(new Color("ToolTip.foregroundInactive", Color.ColorClass.SF, 102, 102, 102, 255, "..."));
        color_map.add(new Color("primary1", Color.ColorClass.SF, 128, 128, 128, 255, "..."));
        color_map.add(new Color("primary2", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("primary3", Color.ColorClass.SF, 128, 128, 128, 255, "..."));
        color_map.add(new Color("secondary1", Color.ColorClass.SF, 208, 208, 208, 255, "..."));
        color_map.add(new Color("secondary2", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("secondary3", Color.ColorClass.SF, 64, 64, 64, 255, "..."));
        color_map.add(new Color("black", Color.ColorClass.SF, 255, 255, 255, 255, "..."));
        color_map.add(new Color("white", Color.ColorClass.SF, 0, 0, 0, 255, "..."));
        color_map.add(new Color("Nb.ScrollPane.Border.color", Color.ColorClass.AT, 32, 32, 32, 255, "..."));
        color_map.add(new Color("nb.explorer.unfocusedSelBg", Color.ColorClass.AT, 64, 64, 64, 255, "..."));
        color_map.add(new Color("nb.explorer.unfocusedSelFg", Color.ColorClass.SF, 128, 128, 128, 255, "..."));
        color_map.add(new Color("nb.heapview.border1", Color.ColorClass.SF, 63, 47, 210, 255, "..."));
        color_map.add(new Color("nb.heapview.border2", Color.ColorClass.SF, 60, 17, 143, 255, "..."));
        color_map.add(new Color("nb.heapview.border3", Color.ColorClass.SF, 152, 17, 9, 255, "..."));
        color_map.add(new Color("nb.heapview.foreground", Color.ColorClass.SF, 178, 146, 69, 255, "..."));
        color_map.add(new Color("nb.heapview.background1", Color.ColorClass.SF, 232, 84, 239, 255, "..."));
        color_map.add(new Color("nb.heapview.background2", Color.ColorClass.SF, 255, 0, 0, 255, "..."));
        color_map.add(new Color("nb.heapview.grid1.start", Color.ColorClass.SF, 57, 128, 191, 255, "..."));
        color_map.add(new Color("nb.heapview.grid1.end", Color.ColorClass.SF, 152, 226, 133, 255, "..."));
        color_map.add(new Color("nb.heapview.grid2.start", Color.ColorClass.SF, 186, 229, 67, 255, "..."));
        color_map.add(new Color("nb.heapview.grid2.end", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("nb.heapview.grid3.start", Color.ColorClass.SF, 238, 108, 196, 255, "..."));
        color_map.add(new Color("nb.heapview.grid3.end", Color.ColorClass.SF, 105, 72, 222, 255, "..."));
        color_map.add(new Color("nb.heapview.grid4.start", Color.ColorClass.SF, 78, 70, 95, 255, "..."));
        color_map.add(new Color("nb.heapview.grid4.end", Color.ColorClass.SF, 49, 152, 255, 255, "..."));
        color_map.add(new Color("nb.bugtracking.comment.background", Color.ColorClass.SF, 244, 92, 44, 255, "..."));
        color_map.add(new Color("nb.bugtracking.comment.foreground", Color.ColorClass.SF, 243, 45, 235, 255, "..."));
        color_map.add(new Color("nb.bugtracking.label.highlight", Color.ColorClass.SF, 31, 30, 223, 255, "..."));
        color_map.add(new Color("nb.bugtracking.table.background", Color.ColorClass.SF, 189, 57, 2, 255, "..."));
        color_map.add(new Color("nb.bugtracking.table.background.alternate", Color.ColorClass.SF, 142, 69, 142, 255, "..."));
        color_map.add(new Color("nb.bugtracking.new.color", Color.ColorClass.SF, 209, 15, 203, 255, "..."));
        color_map.add(new Color("nb.bugtracking.modified.color", Color.ColorClass.SF, 107, 159, 235, 255, "..."));
        color_map.add(new Color("nb.bugtracking.obsolete.color", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("nb.bugtracking.conflict.color", Color.ColorClass.SF, 255, 255, 0, 255, "..."));
        color_map.add(new Color("nb.html.link.foreground", Color.ColorClass.SF, 116, 94, 245, 255, "..."));
        color_map.add(new Color("nb.html.link.foreground.hover", Color.ColorClass.SF, 112, 42, 3, 255, "..."));
        color_map.add(new Color("nb.html.link.foreground.visited", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("nb.html.link.foreground.focus", Color.ColorClass.SF, 54, 48, 97, 255, "..."));
        color_map.add(new Color("nb.startpage.bottombar.background", Color.ColorClass.SF, 96, 96, 96, 255, "..."));
        color_map.add(new Color("nb.editor.errorstripe.caret.color", Color.ColorClass.SF, 180, 194, 38, 255, "..."));
        color_map.add(new Color("nb.diff.added.color", Color.ColorClass.SF, 131, 255, 149, 255, "..."));
        color_map.add(new Color("nb.diff.changed.color", Color.ColorClass.SF, 12, 174, 54, 255, "..."));
        color_map.add(new Color("nb.diff.deleted.color", Color.ColorClass.SF, 248, 240, 174, 255, "..."));
        color_map.add(new Color("nb.diff.applied.color", Color.ColorClass.SF, 39, 227, 180, 255, "..."));
        color_map.add(new Color("nb.diff.notapplied.color", Color.ColorClass.SF, 177, 77, 160, 255, "..."));
        color_map.add(new Color("nb.diff.unresolved.color", Color.ColorClass.SF, 131, 118, 124, 255, "..."));
        color_map.add(new Color("nb.diff.sidebar.changed.color", Color.ColorClass.SF, 38, 29, 2, 255, "..."));
        color_map.add(new Color("nb.diff.sidebar.deleted.color", Color.ColorClass.SF, 171, 66, 200, 255, "..."));
        color_map.add(new Color("nb.versioning.tooltip.background.color", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        
//    "nb.versioning.added.color"
//    "nb.versioning.modified.color"
//    "nb.versioning.deleted.color"
//    "nb.versioning.conflicted.color"
//    "nb.versioning.ignored.color"
//    "nb.versioning.textannotation.color"


        
        color_map.add(new Color("nb.formdesigner.gap.fixed.color", Color.ColorClass.SF, 142, 200, 230, 255, "..."));
        color_map.add(new Color("nb.formdesigner.gap.resizing.color", Color.ColorClass.SF, 26, 72, 208, 255, "..."));
        color_map.add(new Color("nb.formdesigner.gap.min.color", Color.ColorClass.SF, 134, 54, 215, 255, "..."));
        color_map.add(new Color("nb.debugger.debugging.currentThread", Color.ColorClass.SF, 150, 206, 254, 255, "..."));
        color_map.add(new Color("nb.debugger.debugging.highlightColor", Color.ColorClass.SF, 51, 205, 120, 255, "..."));
        color_map.add(new Color("nb.debugger.debugging.BPHits", Color.ColorClass.SF, 82, 76, 59, 255, "..."));
        color_map.add(new Color("nb.debugger.debugging.bars.BPHits", Color.ColorClass.SF, 61, 192, 77, 255, "..."));
        color_map.add(new Color("nb.debugger.debugging.bars.currentThread", Color.ColorClass.SF, 108, 19, 162, 255, "..."));
        color_map.add(new Color("nb.dataview.tablecell.edited.selected.foreground", Color.ColorClass.SF, 176, 176, 176, 255, "..."));
        color_map.add(new Color("nb.dataview.tablecell.edited.unselected.foreground", Color.ColorClass.SF, 128, 128, 128, 255, "..."));
        color_map.add(new Color("nb.autoupdate.search.highlight", Color.ColorClass.SF, 255, 0, 0, 255, "..."));
        color_map.add(new Color("selection.highlight", Color.ColorClass.SF, 122, 185, 125, 255, "..."));
        color_map.add(new Color("textArea.background", Color.ColorClass.SF, 0, 0, 255, 255, "..."));
        color_map.add(new Color("Nb.browser.picker.background.light", Color.ColorClass.AT, 249, 249, 249, 255, "..."));
        color_map.add(new Color("Nb.browser.picker.foreground.light", Color.ColorClass.AT, 130, 130, 130, 255, "..."));
        color_map.add(new Color("nb.search.sandbox.highlight", Color.ColorClass.SF, 32, 38, 171, 255, "..."));
        color_map.add(new Color("nb.search.sandbox.regexp.wrong", Color.ColorClass.SF, 18, 103, 179, 255, "..."));
        color_map.add(new Color("nb.laf.postinstall.callable.httplink", Color.ColorClass.SF, 105, 254, 158, 255, "..."));

        color_scheme_loaded = new Color[color_map.size()];
        color_map.toArray(color_scheme_loaded);
        return color_scheme_loaded;
    }

}
